#if C_GRAPHICSMEDIA_LAB_DMOROZ_C
#/*******************************************************************************
# * (C) Copyright 2003/2004 by Vladimir Vezhnevets <vvp@graphics.cs.msu.su>     *
# *******************************************************************************/
#endif

//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "SDIMain.h"
#include "About.h"
#include "Processing.h"

//---------------------------------------------------------------------
#pragma resource "*.dfm"
TSDIAppForm *SDIAppForm;
//---------------------------------------------------------------------
__fastcall TSDIAppForm::TSDIAppForm(TComponent *AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------


void __fastcall TSDIAppForm::FileOpen1Execute(TObject *Sender)
{
  ///    
  if (OpenDialog->Execute())
  {
    try
    {
      DocImage->Picture->LoadFromFile(OpenDialog->FileName);
    }
    catch (EInvalidGraphic &Ex)
    {
      ///   
      ShowMessage("  "); 
    }
  }
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::FileSave1Execute(TObject *Sender)
{
  ///    
  if (SaveDialog->Execute())
  {
    DocImage->Picture->SaveToFile(SaveDialog->FileName);
  }
}
//---------------------------------------------------------------------------


void __fastcall TSDIAppForm::FileExit1Execute(TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::HelpAbout1Execute(TObject *Sender)
{
  AboutBox->ShowModal();        
}
//---------------------------------------------------------------------------


void __fastcall TSDIAppForm::BoxFilterExecute(TObject *Sender)
{
  ///   
  Graphics::TBitmap *pTempImage = new Graphics::TBitmap();

  ///     
  pTempImage->Assign(DocImage->Picture->Bitmap);

  /// 
  ::BoxFilter(pTempImage, DocImage->Picture->Bitmap);

  ///  
  delete pTempImage;

  ///  
  DocImage->Repaint();
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::ColorizeExecute(TObject *Sender)
{
  /// 
  ::Colorize(DocImage->Picture->Bitmap);

  ///  
  DocImage->Repaint();
}
//---------------------------------------------------------------------------


